# DESY Public Dataset Metadata definition © 2024 by Deutsches
# Elektronen-Synchrotron DESY is licensed under CC BY 4.0
id: https://public-data.desy.de/metadata/mixins
name: mixins
prefixes:
  linkml: https://w3id.org/linkml/
  schema: http://schema.org/
imports:
  - linkml:types
  - typedefinitions
  
default_range: string

classes:
  ExperimentBasics:
    mixin: true
    slots:
     - SampleDetectorDistance

  Technique_GIXD:
    description: "Grazing incidence x-ray diffraction"
    #should get all what one can get from PaNET
    mixins:
     - ExperimentBasics
    attributes:
      IncidenceAngle:
         description: for measurements with fixed incidence angle
         range: AngleMeasurement
slots:
   SampleDetectorDistance:
      description: "Distance between sample and detector"
      range: LenghtMeasurement
      #uri to nexus?